<?php

$webdoc["page_title"].=" - Requirements";
$webdoc["main_table"]="requirement";

kernel_set_variables();

kernel_require_script(2,"list");

if (isset($_GET["subpage2"])) $menu2_url[]="?subpage1=requirements$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="List";
if ($_GET["subpage2"]!="columns") $menu2_url[]="?subpage1=requirements&subpage2=columns$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Columns";
if ($_GET["subpage2"]!="filter") $menu2_url[]="?subpage1=requirements&subpage2=filter$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Filter";
if (isset($webdoc["sequence_id"]))
{
  if ($_GET["subpage2"]!="view") $menu2_url[]="?subpage1=requirements&subpage2=view&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="View";
}
if (isset($webdoc["sequence_id"]) && $webdoc["role_id"]<=1)
{
  if ($_GET["subpage2"]!="edit") $menu2_url[]="?subpage1=requirements&subpage2=edit&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="Edit";
}
if (isset($webdoc["sequence_id"]))
{
  if ($_GET["subpage2"]!="history") $menu2_url[]="?subpage1=requirements&subpage2=history&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="History";
}
if (isset($webdoc["sequence_id"]) && $webdoc["role_id"]<=1)
{
  if ($_GET["subpage2"]!="copy") $menu2_url[]="?subpage1=requirements&subpage2=copy&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="Copy";
}
if ($_GET["subpage2"]!="export") $menu2_url[]="?subpage1=requirements&subpage2=export".(isset($webdoc["sequence_id"])?"&sequence_id=$webdoc[sequence_id]":"")."$webdoc[url]"; else $menu2_url[]=""; $menu2_titles[]="Export";
if (isset($webdoc["sequence_id"]) && $webdoc["role_id"]<=2)
{
  if ($_GET["subpage2"]!="files") $menu2_url[]="?subpage1=requirements&subpage2=files&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="Files";
  if ($_GET["subpage2"]!="approving") $menu2_url[]="?subpage1=requirements&subpage2=approving&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="Approving";
  if ($_GET["subpage2"]!="activation") $menu2_url[]="?subpage1=requirements&subpage2=activation&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="Activation";
}
if ($webdoc["role_id"]<=1)
{
  if ($_GET["subpage2"]!="new") $menu2_url[]="?subpage1=requirements&subpage2=new"; else $menu2_url[]=""; $menu2_titles[]="New";
}
if ($_GET["subpage2"]!="categories") $menu2_url[]="?subpage1=requirements&subpage2=categories"; else $menu2_url[]=""; $menu2_titles[]="Categories";
if (isset($webdoc["sequence_id"]) && $webdoc["role_id"]<=2)
{
  if ($_GET["subpage2"]!="make_test") $menu2_url[]="?subpage1=requirements&subpage2=make_test&sequence_id=$webdoc[sequence_id]"; else $menu2_url[]=""; $menu2_titles[]="Make Test";
}

$template->template_assign('menu2_url',$menu2_url);
$template->template_assign('menu2_titles',$menu2_titles);



?>
